#!/bin/sh
#
# canna		Canna server
#
# Author:       Manabe Takashi <manabe@Roy.dsl.tutics.tut.ac.jp>
# Modyfy:	Hideya Hane <wing@linux.or.jp>
# chkconfig: 2345 92 12
# description: Canna system is server client System for KanaKanji-Henkan.
# processname: cannaserver

# Source function library.
. /etc/rc.d/functions

#

SERVER=/usr/sbin/cannaserver
KILLER=/usr/sbin/cannakill
LOCKD=/var/lock/subsys

[ -f $SERVER ] || exit 0

case "$1" in
  start)
	echo -n "Starting Canna server: "
	rm -f /tmp/.iroha_unix/IROHA
	$SERVER -inet
	echo
	if [ -d $LOCKD ]; then
	    touch $LOCKD/canna
	fi
	;;
  stop)
	echo -n "Shutting down Canna server: "
	# rm -f /tmp/.iroha_unix/IROHA
	$KILLER
	echo
	if [ -d $LOCKD ]; then
	    rm -f $LOCKD/canna
	fi
	;;
  restart)
        echo -n "Restart Canna server: "
	$KILLER
        echo
        if [ -d $LOCKD ]; then
            rm -f $LOCKD/canna
        fi
        rm -f /tmp/.iroha_unix/IROHA
        $SERVER -inet
        echo
        if [ -d $LOCKD ]; then
            touch $LOCKD/canna
        fi
	;;
  *)
	echo "Usage: canna {start|stop|restart}"
	exit 1
esac

exit 0
